# CheckstylePlugin

abstract class CheckstylePlugin : AbstractCodeQualityPlugin<T>

Checkstyle Plugin.

#### See also

<a href="https://docs.gradle.org/current/userguide/checkstyle_plugin.html">Checkstyle plugin reference</a>

## Constructors

CheckstylePlugin
Link copied to clipboard
constructor()

## Properties

DEFAULT_CHECKSTYLE_VERSION
Link copied to clipboard
val DEFAULT_CHECKSTYLE_VERSION: String = "10.24.0"

## Functions

apply
Link copied to clipboard
fun apply(project: ProjectInternal)